Subject: Re: [OPSAWG] Fwd: New Version Notification fordraft-hmac-sha-2-usm-snmp-00.txt

From: Johannes Merkle <[email-masked]>
Date: Tue, 1 Apr 2014 12:19:35 +0200

Wes,

> I'm not entirely convinced that a 256bit truncation is better than a 384
> bit truncation, so my preference would be to include just two (not 6)
> algorithms because I don't think they're all needed and will just make
> things more confusing.  So I'd pick the best two of the 6 and go with
> them, for which my preference would be:
> 
> 1)  MUST: usmHMAC192SHA256AuthProtocol
>   SHOULD: usmHMAC384SHA512AuthProtocol
> 
> 2)  MUST: usmHMAC192SHA256AuthProtocol
>   SHOULD: usmHMAC256SHA512AuthProtocol
> 

Why do you prefer usmHMAC192SHA256AuthProtocol over usmHMAC128SHA256AuthProtocol? Following Preneel and van Oorschots
advice, I would prefer the latter.

If we feel that we don't have the expertise to come to a clear decision here, we could consult CRFG.

-- 
Johannes